<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>P51b - Szachownica</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie P51b</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Napisz kod php z funkcją szachownica($a). Funkcja przyjmuje jeden parametr. który określa ilość kratek w wierszu i kolumnie.</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="a">Wprowadź liczbę A:</label>
        <input type="number" name="a" id="a">
        <button type="submit">Wyślij</button>
    </form>
</div>
<div class="box">
    <?php
        function szachownica($a): void
        {
            echo "<table>";
            for ($i = 0; $i < $a; $i++) {
                echo "<tr>";
                for ($j = 0; $j < $a; $j++) {
                    if (($i + $j) % 2 == 0) {
                        echo "<td class='y'></td>";
                    } else {
                        echo "<td class='b'></td>";
                    }
                }
                echo "</tr>";
            }
            echo "</table>";
        }

        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            szachownica($_POST["a"]);
        }
    ?>
</div>
</body>
</html>